﻿body {
}

.grid_details {
    border: 2px solid green;
    width: 35%;
    float: left;
    height: 600px;
    text-align: center;
    margin-top: 10px;
    margin-left: 15px;
    overflow-y: auto;
    overflow-x: auto;
}

.Attribute {
    border: 1px solid black;
    width: 30%;
    float: left;
    height: 600px;
    margin-top: 10px;
    margin-left: 10px;
    overflow-y: auto;
    overflow-x: auto;
}

.Relation {
    border: 1px solid black;
    width: 30%;
    float: left;
    height: 600px;
    text-align: center;
    margin-top: 10px;
    overflow-y: auto;
    overflow-x: auto;
}

.InsertThreatRS {
    border: 1px solid black;
    width: 95%;
    float: left;
    margin-top: 10px;
    margin-left: 10px;
    overflow-y: auto;
    overflow-x: auto;
}


.InsertVulRS {
    border: 1px solid black;
    width: 35%;
    float: left;
    height: 350px;
    margin-top: 10px;
    margin-left: 10px;
    overflow-y: auto;
    overflow-x: auto;
}

.ChooseVulRS {
    border: 1px solid black;
    width: 60%;
    float: left;
    text-align: center;
    margin-top: 10px;
    overflow-y: auto;
    overflow-x: auto;
}


.InsertHLRS {
    border: 1px solid black;
    width: 95%;
    float: left;
    text-align: center;
    margin-top: 10px;
    margin-left: 10px;
    overflow-y: auto;
    overflow-x: auto;
}

.InsertHLRS_Details {
    width: 80%;
    float: left;
    text-align: center;
    margin-top: 10px;
    margin-left: 10px;
    overflow-y: auto;
    overflow-x: auto;
}

.InsertHLRS_Add {
    border: 1px solid black;
    width: 35%;
    float: left;
    text-align: left;
    height: 350px;
    margin-top: 10px;
    margin-left: 10px;
    overflow-y: auto;
    overflow-x: auto;
}

.ChooseHLRS {
    border: 1px solid black;
    width: 60%;
    float: left;
    text-align: center;
    margin-top: 10px;
    overflow-y: auto;
    overflow-x: auto;
}

.RA_grid_details {
    /*display:inline-block;*/

    border: 1px solid black;
    width: 30%;
    float: left;
    height: 800px;
    max-height: 800px;
    text-align: left;
    margin-top: 5px;
    margin-left: 15px;
    overflow-y: auto;
    overflow-x: auto;
}

.SB_grid_details {
    /*display:inline-block;*/
    border: 1px solid black;
    width: 30%;
    float: left;
    height: 800px;
    max-height: 800px;
    text-align: left;
    margin-top: 5px;
    margin-left: 15px;
    overflow-y: auto;
    overflow-x: auto;
}

.RA_Attribute {
    /*display:inline-block;*/

    border: 1px solid black;
    width: 65%;
    float: left;
    height: 800px;
    max-height: 800px;
    margin-top: 5px;
    margin-left: 5px;
    overflow-y: auto;
    overflow-x: auto;
}

.FixedHeader {
    font-weight: bold;
    position: absolute;
    /*background-color: #006699;
    color: #ffffff;
    height: 25px;
    top: expression(Sys.UI.DomElement.getBounds(document.getElementById("panelContainer")).y-25);*/
}

.remarks:focus {
    border-color: green;
}

.Header {
    width: 150px;
    padding-left: 10px;
}

.Desc {
    width: 350px;
}

.Empty {
    width: 100px;
}

.clearfix {
    clear: both;
    display: block;
    padding-top: 20px;
}

#btns {
    margin-top: 50px;
    margin-left: 250px;
}



#Mdl_DeleteModal .modal-dialog {
    overflow-y: initial;
}

#Mdl_DeleteModal .modal-body {
    min-height: 200px;
    max-height: 500px;
    overflow-y: auto;
}

.auto-style1 {
    width: 495px;
}

.auto-style2 {
    width: 498px;
}

/*RiskMatrix Styles*/
div.ex1 {
    width: 300px;
    margin: auto;
    border: 3px solid #73AD21;
}

div.ex2 {
    max-width: 500px;
    margin: auto;
    border: 3px solid #73AD21;
}


.rm-style2 {
    width: 50%;
    padding-left: 0px;
    padding-right: 20px;
    border: solid;
    border-color: grey;
    margin: auto;
    color: black;
    font: bold;
    background-color: #f4f4f4;
    font-size: medium;
    text-align: center;
    text-decoration-color: red;
}

.rm-style3 {
    width: 50%;
    padding-left: 0px;
    border: hidden;
    color: black;
    background-color: #f4f4f4;
    font-size: medium;
    text-align: center;
    text-decoration-color: red;
}

.rm-style1 {
    width: 35%;
    padding-left: 0px;
    color: black;
    border: solid;
    border-color: grey;
    background-color: #f4f4f4;
    font: bold;
    font-size: medium;
    text-align: center;
    text-decoration-color: black;
}

.irs-style2 {
    height: 100px;
    width: 50%;
}


/*Type Attribute Setting */
.container-fluid {
    padding-right: 70px;
    padding-left: 70px;
}


/*Priya added 12/11/2020*/
/*Priya*/
.txtbox {
    width: 500px;
    height: 30px;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    border-radius: 5px;
}


.Ddlist {
    border: 2px solid;
    width: 500px;
    height: 30px;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    border-radius: 5px;
}

.searchtxtbox {
    width: 200px;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    border-radius: 5px;
}


.listBox {
    height: 400px;
    width: 500px;
    overflow-x: auto;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    border-radius: 5px;
}


.listBox1 {
    height: 200px;
    width: 500px;
    overflow-x: auto;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    border-radius: 5px;
}

.listBox1td {
    height: 200px;
    width: 500px;
}

/*
.listboxbtn {
    width: 30px;
    background-color: ButtonFace;
    -webkit-border-radius: 2px;
    -moz-border-radius: 2px;
    border-radius: 2px;
}
    */

/*30.12.2020*/
.listboxbtn {
    width: 35px;
    background-color: ButtonFace;
    -webkit-border-radius: 1px;
    -moz-border-radius: 1px;
    border-radius: 1px;
}


.listboxlabel {
    font-size: medium;
    font-weight: bold;
}


.listBoxtd {
    height: 400px;
    width: 500px;
}

.lbfieldset {
    /*padding-left: 10px;*/
}


.listBoxtable {
    height: 400px;
    width: 100%;
    /*padding-left: 10px;*/
}

.listBoxtable1 {
    height: 200px;
    width: 100%;
    /*padding-left: 10px;*/
}



.listBoxtdbtn {
    width: 30px;
    padding-right: 15px;
}

.GVAltxtbox {
    text-align: center;
}

.GVAlddl {
    /*style ="text-indent: 25px;"*/
    text-indent: 25px;
}


.rmtmplabel {
    font-weight: bold;
    text-align: center;
}

.rmheaderstyle {
    color: grey;
}


.critItemTempStyle1 {
    /*text-align:start;*/
    vertical-align: text-top;
}

.critItemTempStyle2 {
    text-align: center;
}


.critddlStyle {
    width: 300px;
}


.critlblStyle {
    width: 200px;
    font-weight: bold;
}


.critbltdstyle {
    width: 200px;
}



.critITstyle {
    width: 400px;
    vertical-align: text-top;
}


.critwidthstyle {
    width: 550px;
}

.critITstyle1 {
    align-items: center;
}

.blank_row {
    height: 20px !important; /* overwrites any other rules */
}


.critFoostyle {
    text-align: center;
    align-content: center;
    align-items: center;
    vertical-align: top;
    padding-top: 30px;
}



.CICatgridDetails {
    border: 1px solid black;
    width: 100%;
    float: left;
    height: 200px;
    text-align: center;
    margin-top: 10px;
    /*margin-left: 15px;*/
    overflow-y: auto;
    overflow-x: auto;
}

.Hdralign {
    font-size: large;
    font-weight: bold;
    text-align: center;
}

.Attribute1 {
    border: 1px solid black;
    width: 35%;
    float: left;
    height: 200px;
    margin-top: 10px;
    padding-left: 5px;
    /*margin-left: 10px;*/
    overflow-y: auto;
    overflow-x: auto;
}

.Relation1 {
    border: 1px solid black;
    width: 65%;
    float: left;
    height: 200px;
    text-align: center;
    margin-top: 10px;
    overflow-y: auto;
    overflow-x: auto;
}


.clearfix1 {
    width: 50%;
    text-align: center;
    clear: both;
    display: block;
    padding-top: 20px;
}



.Ddlistsm {
    border: 2px solid;
    width: 250px;
    height: 30px;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    border-radius: 5px;
}


.listBox1tr {
    height: 200px;
    width: 100%;
}


.rm-tbstyle {
    width: 1000px;
}

.rm-trstyle {
    width: 100%;
}


.rm-tdstyle1 {
    width: 35%;
    padding-left: 0px;
    padding-right: 20px;
    border: solid;
    border-color: grey;
    margin: auto;
    background-color: #f4f4f4;
    font-size: large;
    text-align: center;
    text-decoration-color: red;
    font-weight: bold;
    color: dodgerblue;
}



.rm-tdstyle2 {
    width: 65%;
    padding-left: 0px;
    border: solid;
    border-color: grey;
    background-color: #f4f4f4;
    font: bold;
    font-size: large;
    text-align: center;
    font-weight: bold;
    color: dodgerblue;
}



.gvHeaderstyle {
    height: 50px;
    background-color: whitesmoke;
}

.itemstylebackcolour {
    background-color: whitesmoke
}


/*Manisha*/
.table-striped tbody tr:nth-child(odd) td.fullimplement {
    background-color: #F1FAE3;
}

.table-striped tbody tr:nth-child(even) td.fullimplement {
    background-color: #F1FAE3;
}


.table-striped tbody tr:nth-child(odd) td.noimplement {
    background-color: #FFDBDF;
}

.table-striped tbody tr:nth-child(even) td.noimplement {
    background-color: #FFDBDF;
}

.table-striped tbody tr:nth-child(odd) td.coninvalid {
    background-color: #FFF2E3;
}

.table-striped tbody tr:nth-child(even) td.coninvalid {
    background-color: #FFF2E3;
}

.table-rtcontrols tbody tr:nth-child(odd) td.fullimplement {
    background-color: #F1FAE3;
}

.table-rtcontrols tbody tr:nth-child(even) td.fullimplement {
    background-color: #F1FAE3;
}

.table-rtcontrols tbody tr:nth-child(odd) td.rtdone {
    background-color: #FFF2E3;
}

.table-rtcontrols tbody tr:nth-child(even) td.rtdone {
    background-color: #FFF2E3;
}


/*added Manisha 3.12.2020*/
/*
.card-header .hlheadercard {
    background-color: #ebf1f5;
} */


/* 30.12.2020 */
.listBoxnew {
    height: 100px;
    width: 400px;
    overflow-x: auto;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    border-radius: 5px;
}

.listBoxNewtd {
    height: 120px;
    width: 400px;
}

/*10.06.2021 Priya*/

.listBoxtdnew {
    height: 400px;
    width: 700px;
}


.listBoxtablenew {
    height: 400px;
    width: 100%;
    /*padding-left: 10px;*/
}


.listBoxtdbtnnew {
    align-content: center;
    align-items: center;
    width: 35px;
    padding-right: 50px;
}


.listBoxnew {
    height: 400px;
    width: 700px;
    overflow-x: auto;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    border-radius: 5px;
}


.searchtxtboxnew {
    width: 500px;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    border-radius: 5px;
}

.listBoxnew1 {
    height: 200px;
    width: 500px;
    overflow-x: auto;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    border-radius: 5px;
}

.listBoxNewtd1 {
    height: 200px;
    width: 500px;
}

.listboxbtnnew {
    align-content: center;
    width: 35px;
    background-color: ButtonFace;
    -webkit-border-radius: 1px;
    -moz-border-radius: 1px;
    border-radius: 1px;
}


.Ddlistnew {
    border: 2px solid;
    width: 800px;
    height: 30px;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    border-radius: 5px;
}


.listBox1tdnew {
    height: 200px;
    width: 700px;
}

.listBox1new {
    height: 200px;
    width: 700px;
    overflow-x: auto;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    border-radius: 5px;
}


.clearfixnew {
    clear: both;
    display: block;
    padding-top: 0px;
}


#btnsnew {
    margin-top: 10px;
    margin-left: 250px;
}

/*10.06.2021 Priya*/
